umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | List of all members
TestWidget< T, N > Class Template Reference

`#include <testbase.h>`

Inheritance diagram for TestWidget< T, N >:

## Public Member Functions
| TestWidget (UMLScene *scene, N w)
QDomDocument | testSave1 ()
bool | testLoad1 (QDomDocument &qDoc)
void | testDump (const QString &title=QString())

## Detailed Description

### template<class T, typename N>
class TestWidget< T, N >

template for adding test save/load support to widget related classes

## Constructor & Destructor Documentation

## ◆ TestWidget()

template<class T , typename N >

TestWidget< T, N >::TestWidget | ( | UMLScene * | scene,
|  | N | w
| ) |  |
| inline

## Member Function Documentation

## ◆ testDump()

template<class T , typename N >

void TestWidget< T, N >::testDump | ( | const QString & | title = `QString()` | ) |

## ◆ testLoad1()

template<class T , typename N >

bool TestWidget< T, N >::testLoad1 | ( | QDomDocument & | qDoc | ) |

## ◆ testSave1()

template<class T , typename N >

QDomDocument TestWidget< T, N >::testSave1

The documentation for this class was generated from the following file:

- unittests/testbase.h